Package org.eclipse.birt.report.model.api.command

# Class CustomMsgEvent

java.lang.Object
org.eclipse.birt.report.model.api.activity.NotificationEvent
org.eclipse.birt.report.model.api.command.CustomMsgEvent

public class CustomMsgEvent extends NotificationEvent
Notification event that says that the contents of user-defined message is added, dropped, or changed. The target element is the report design.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ADD`
The translation was added.
`static final int`
`CHANGE`
The translation changed.
`static final int`
`DROP`
The translation was dropped.

### Fields inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent

`ATTRIBUTE_EVENT, CONTAINER, CONTENT_EVENT, CONTENT_REPLACE_EVENT, CONTENTS, CSS_EVENT, CSS_RELOADED_EVENT, CUSTOM_MSG_EVENT, DATA_DESIGN_RELOADED_EVENT, DATA_MART_PROPERTY_EVENT, deliveryPath, DESCENDENT, DIRECT, DISPOSE_EVENT, ELEMENT_CLIENT, ELEMENT_DELETE_EVENT, ELEMENT_LOCALIZE_EVENT, ENCRYPTION_EVENT, EXTENDS_EVENT, EXTENSION_PROPERTY_DEFINITION_EVENT, LAYOUT_CHANGED_EVENT, LIBRARY_CHANGE_EVENT, LIBRARY_EVENT, LIBRARY_RELOADED_EVENT, NAME_EVENT, NAME_SPACE_EVENT, PROPERTY_EVENT, sender, STRUCTURE_CLIENT, STYLE_CLIENT, STYLE_EVENT, target, TEMPLATE_TRANSFORM_EVENT, THEME_EVENT, USER_PROP_EVENT, VALIDATION_EVENT, VIEWS_CONTENT_EVENT`

## Constructor Summary

Constructors
Constructor
Description
`CustomMsgEvent(org.eclipse.birt.report.model.elements.ReportDesign design, org.eclipse.birt.report.model.elements.Translation translation, int theAction)`
Constructs the event with the user-defined message and the action causing this event.

## Method Summary

Modifier and Type
Method
Description
`int`
`getAction()`
Returns the action causing this event.
`int`
`getEventType()`
Returns the event type.
`org.eclipse.birt.report.model.elements.Translation`
`getTranslation()`
Returns the user-defined message that changes.

### Methods inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent

`getDeliveryPath, getSender, getTarget, isSame, setDeliveryPath, setSender, setTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ADD

public static final int ADD
The translation was added.

See Also:
  - Constant Field Values

### DROP

public static final int DROP
The translation was dropped.

See Also:
  - Constant Field Values

### CHANGE

public static final int CHANGE
The translation changed.

See Also:
  - Constant Field Values

## Constructor Details

### CustomMsgEvent

public CustomMsgEvent(org.eclipse.birt.report.model.elements.ReportDesign design, org.eclipse.birt.report.model.elements.Translation translation, int theAction)
Constructs the event with the user-defined message and the action causing this event.

Parameters:
  `design` - the report design
  `translation` - the user-defined message
  `theAction` - the action causing this event.

## Method Details

### getEventType

public int getEventType()
Description copied from class: `NotificationEvent`
Returns the event type. The following event types are defined:

- CONTENT_EVENT
- ELEMENT_DELETE_EVENT
- EXTENDS_EVENT
- NAME_EVENT
- NAME_SPACE_EVENT
- PROPERTY_EVENT
- STYLE_EVENT
- USER_PROP_EVENT
- CUSTOM_MSG_EVENT
- EXTENSION_PROPERTY_DEFINITION_EVENT
- NOTIFICATION_EVENT
- VALIDATION_EVENT
- LIBRARY_EVENT
- ATTRIBUTE_EVENT
- DISPOSE_EVENT
- CONTENT_REPLACE_EVENT
- TEMPLATE_TRANSFORM_EVENT

Specified by:
  `getEventType` in class `NotificationEvent`
Returns:
  the event type.

### getAction

public int getAction()
Returns the action causing this event. One of `ADD`, `DROP`, or `CHANGE`.

Returns:
  the action causing this event.

### getTranslation

public org.eclipse.birt.report.model.elements.Translation getTranslation()
Returns the user-defined message that changes.

Returns:
  the user-defined message that changes.